<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\WeightValidation;
use App\Models\User;

class WeightValidationPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any WeightValidation');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, WeightValidation $weightvalidation): bool
    {
        return $user->checkPermissionTo('view WeightValidation');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create WeightValidation');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, WeightValidation $weightvalidation): bool
    {
        return $user->checkPermissionTo('update WeightValidation');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, WeightValidation $weightvalidation): bool
    {
        return $user->checkPermissionTo('delete WeightValidation');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any WeightValidation');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, WeightValidation $weightvalidation): bool
    {
        return $user->checkPermissionTo('restore WeightValidation');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any WeightValidation');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, WeightValidation $weightvalidation): bool
    {
        return $user->checkPermissionTo('replicate WeightValidation');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder WeightValidation');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, WeightValidation $weightvalidation): bool
    {
        return $user->checkPermissionTo('force-delete WeightValidation');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any WeightValidation');
    }
}
